Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.feedhenry.sdk.api
Enum FHCloudRequest.Methods

    java.lang.Object
      java.lang.Enum<FHCloudRequest.Methods>
          com.feedhenry.sdk.api.FHCloudRequest.Methods

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FHCloudRequest.Methods>

Enclosing class:
  FHCloudRequest

    public static enum FHCloudRequest.Methods

extends java.lang.Enum<FHCloudRequest.Methods>

Enum Constant Summary
`DELETE`
`GET`
`POST`
`PUT`

Method Summary
`boolean` | `equals(FHCloudRequest.Methods pThat)`
`static FHCloudRequest.Methods` | `parse(java.lang.String pMethod)`
`static FHCloudRequest.Methods` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FHCloudRequest.Methods[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final FHCloudRequest.Methods GET

### POST

    public static final FHCloudRequest.Methods POST

### PUT

    public static final FHCloudRequest.Methods PUT

### DELETE

    public static final FHCloudRequest.Methods DELETE

Method Detail

### values

    public static FHCloudRequest.Methods[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FHCloudRequest.Methods c : FHCloudRequest.Methods.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FHCloudRequest.Methods valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### equals

    public boolean equals(FHCloudRequest.Methods pThat)

### parse

    public static FHCloudRequest.Methods parse(java.lang.String pMethod)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD